/*
* Автор: Борисов Д.Г.
* Дата: 2014-09-30
* Задача: http://jira.softage.ru/jira/browse/SDFO-XX
* Назначение: Удаление неиспользуемого системного справочника
* Изменяются объекты:
		delete from analyticcodes
		delete from analytictypes
*/

/*
  ****** Инструкции для SQLPlus (обязательно) ******
  Для печати сообщений:
  DBMS_OUTPUT.put_line('<Message>');
*/
whenever sqlerror exit 1;
set serveroutput on;
set echo off;

declare
	filename      varchar2(256) := 'sfm.database-update.2014-09-30.RemoveReduntantDictionary.sql';
	purpose       varchar2(4000) := 'Удаление неиспользуемого системного справочника';
	script_exists number := 0;
begin

	--delete from DB_Update_History where script_name = filename;	commit;
	select count(*)
		into script_exists
		from DB_Update_History
	 where script_name = filename;

	if (script_exists > 0) then
		RAISE_APPLICATION_ERROR(-20001, '"' || filename || '" уже присутствует в базе');
	else
		insert into DB_Update_History
			(script_name, purpose)
		values
			(filename, purpose);
	end if;

	/*
	****** Begin update script ******
	*/
		-- Транзакционный апдейт
		-- execute immediate '';
		DELETE FROM analyticcodes where analytictype = 90001005;
		DELETE FROM analytictypes where analytictype = 90001005;
	/*
	****** End update script ******
	*/
	commit;

exception
	when others then
		rollback;
		raise;
end;
/

	/*
	****** Begin update script ******
	*/
		-- Не транзакционный апдейт
		-- Необходимы свои транзакции, если требуются
	/*
	****** End update script ******
	*/
